Subject: Re: [Anima] GRASP multicast frequency

From: Michael Richardson <[email-masked]>
Date: Wed, 03 May 2017 08:51:08 -0400

Brian E Carpenter <[email-masked]> wrote:
    > One more thing from our tests this week.

    > We noticed when testing at busy times that link-local multicasts
    > were often dropped. We would see quite long gaps when discovery
    > and flooding simply did not occur. Suspecting that the wireless
    > network was limiting the rate of multicasts, I cheated for a
    > few minutes by sending multicasts 10 times more frequently,
    > and the gaps in performance vanished.

    > According to the NOC:
    >> > Do the access points throttle the rate of IPv6 link-local multicasts?
    >> Yes, we do MLD snooping on our wireless LAN controllers to prevent
    >> multicast storms over the air. The MLD timeout and MLD query interval are
    >> set to 60 seconds and 20 seconds, respectively.

    > So, on a busy network the effect of that is apparently to incent
    > a protocol like GRASP to increase its rate of LL multicasts to grab a
    > sufficient share of capacity.

It seems like a bad way to go open-loop.

    > Since we need the autonomic mechanisms to work well in times of
    > overload, this effect needs to be understood by implementors.

Given an ACP, the L2 devices should only see unicast ESP packets.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 4 May 2017 08:01:56 +1200

> Given an ACP, the L2 devices should only see unicast ESP packets.

I believe so (another reason for good ACP support for LL multicast).

It also occurred to me that if we want autonomic traffic to flow whatever
else happens, we should consider setting diffserv CS6 or CS7 in all ACP
traffic (cf section 4.2.2.3 of RFC2474). 

    Brian

---

From: Michael Richardson <[email-masked]>
Date: Fri, 05 May 2017 11:08:14 -0400

> traffic (cf section 4.2.2.3 of RFC2474).

It can't hurt!
We need to set it on the outside of the tunnel, of course.

--
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        | network architect  [
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [